Subject: Re: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Pamela Geiss" <[email-masked]>
Date: Tue, 15 Jul 2014 08:48:24 -0400

Hello Ms. Geiss.
According to our records, there is 1 order that was mailed in with a check back in June.  Sharon Duncan is the contact on the order.  This order was delivered on June 13, 2014 to 405 W. College Ave. Ste C, Santa Rosa, CA 95401.  If this is not the order in question, we would just need the order number from the label to find the order.  If you have further questions, please contact Customer Service at 877-321-4144.

Thank you,
LLPS

From: LLPS 
Sent: Monday, July 14, 2014 7:18 PM
To: [email-masked] 
Subject: LLPS Contact Us Submission

Name: Pamela Geiss

Company: First Priority Financial

E-mail Address: [email-masked]

Telephone: 7076394477

Message: I received a bundle of labor posters and and note thanking me for the
order. I did not order these posters. We use a different service to
obtain the necessary updates, etc. 
How do I return them and correct any billing that may have occurred? 
Thank you, 
Pam Geiss

Request generated on July 14th, 2014 at 7:18 PM EST from the IP address 12.252.199.118